Package org.flywaydb.core.api

## Interface MigrationInfo

- All Superinterfaces:
    `java.lang.Comparable<MigrationInfo>`

      public interface MigrationInfo
      extends java.lang.Comparable<MigrationInfo>

  Info about a migration.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareVersion​(MigrationInfo o)` |
    `java.lang.Integer` | `getChecksum()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.Integer` | `getExecutionTime()` |
    `java.lang.String` | `getInstalledBy()` |
    `java.util.Date` | `getInstalledOn()` |
    `java.lang.Integer` | `getInstalledRank()` |
    `java.lang.String` | `getPhysicalLocation()` |
    `java.lang.String` | `getScript()` |
    `MigrationState` | `getState()` |
    `org.flywaydb.core.extensibility.MigrationType` | `getType()` |
    `MigrationVersion` | `getVersion()` |
    `default boolean` | `isVersioned()` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getType

          org.flywaydb.core.extensibility.MigrationType getType()

      Returns:
        The type of migration (BASELINE, SQL, JDBC, ...)

    - #### getChecksum

          java.lang.Integer getChecksum()

      Returns:
        The target version of this migration.

    - #### isVersioned

          default boolean isVersioned()

    - #### getVersion

          MigrationVersion getVersion()

      Returns:
        The schema version after the migration is complete.

    - #### getDescription

          java.lang.String getDescription()

      Returns:
        The description of the migration.

    - #### getScript

          java.lang.String getScript()

      Returns:
        The name of the script to execute for this migration, relative to its classpath or filesystem location.

    - #### getState

          MigrationState getState()

      Returns:
        The state of the migration (PENDING, SUCCESS, ...)

    - #### getInstalledOn

          java.util.Date getInstalledOn()

      Returns:
        The timestamp when this migration was installed. (Only for applied migrations)

    - #### getInstalledBy

          java.lang.String getInstalledBy()

      Returns:
        The user that installed this migration. (Only for applied migrations)

    - #### getInstalledRank

          java.lang.Integer getInstalledRank()

      Returns:
        The rank of this installed migration. This is the most precise way to sort applied migrations by installation order. Migrations that were applied later have a higher rank. (Only for applied migrations)

    - #### getExecutionTime

          java.lang.Integer getExecutionTime()

      Returns:
        The execution time (in millis) of this migration. (Only for applied migrations)

    - #### getPhysicalLocation

          java.lang.String getPhysicalLocation()

      Returns:
        The physical location of the migration on disk.

    - #### compareVersion

          int compareVersion​(MigrationInfo o)

      Returns:
        The result between a comparison of these MigrationInfo's versions.